<template>
  <div class="house">
    <div class="title">
      <span>社区房屋</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="content">
      <div id="histogram"></div>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {};
  },
  //方法集合
  methods: {
    async drawLine() {
      const { data: dt } = await this.$http.get(
        "/jeecg-boot/building/building/queryall"
      );
      var value1 = [];
      var value2 = [];
      for (var i in dt.result) {
        value1.push(dt.result[i].communityname);
        value2.push(dt.result[i].num);
      }
      // 基于准备好的dom，初始化echarts实例
      let Chart = this.$echarts.init(document.getElementById("histogram"));
      let option = {
        tooltip: {
          trigger: "axis",
          show: false,
          axisPointer: {
            // 坐标轴指示器，坐标轴触发有效
            type: "shadow", // 默认为直线，可选为：'line' | 'shadow'
          },
        },
        legend: {
          show: false,
        },
        grid: {
          left: "3%",
          right: "15%",
          bottom: "5%",
          top: "3%",
          containLabel: true,
        },
        xAxis: [
          {
            splitLine: {
              show: false,
            },
            type: "value",
            show: false,
          },
        ],
        yAxis: [
          {
            splitLine: {
              show: false,
            },
            axisLine: {
              //y轴
              show: false,
            },
            type: "category",
            axisTick: {
              show: false,
            },
            inverse: true,
            data: value1,
            axisLabel: {
              color: "#A7D6F4",
              fontSize: 14,
            },
          },
        ],
        series: [
          {
            name: "标准化",
            type: "bar",
            barWidth: 12, // 柱子宽度
            label: {
              show: true,
              position: "right", // 位置
              color: "#A7D6F4",
              fontSize: 14,
              distance: 15, // 距离
              formatter: "{c} 万公里", // 这里是数据展示的时候显示的数据
            }, // 柱子上方的数值
            itemStyle: {
              barBorderRadius: [0, 20, 20, 0], // 圆角（左上、右上、右下、左下）

              color: new this.$echarts.graphic.LinearGradient(
                1,
                0,
                0,
                0,
                [
                  {
                    offset: 0,
                    color: "#51C5FD",
                  },
                  {
                    offset: 1,
                    color: "#005BB1",
                  },
                ],
                false
              ), // 渐变
            },
            data: value2,
          },
        ],
      };
      // 绘制图表
      Chart.setOption(option);
    },
  },
  mounted() {
    this.drawLine();
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.house {
  height: calc(50vh - 158px);
  background: rgba(8, 32, 58, 0.7);
  overflow: hidden;
  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .content {
    width: 100%;
    height: 100%;

    #histogram {
      width: 100%;
      height: 100%;
    }
  }
}
@media only screen and (max-width: 2560px) {
  .house {
    background: transparent;
  }
}
</style>
